aboutsummaryrefslogtreecommitdiff
path: root/sandbox
diff options
context:
space:
mode:
Diffstat (limited to 'sandbox')
-rwxr-xr-xsandbox45
1 files changed, 45 insertions, 0 deletions
diff --git a/sandbox b/sandbox
new file mode 100755
index 0000000..a868c36
--- /dev/null
+++ b/sandbox
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+# Setup a new code project.
+#
+# TODO: should work for more use cases.
+
+# Parameters
+BASENAME="`basename $0`"
+CODE="$HOME/code"
+PROJECT="$1"
+REPO="$2"
+BOOTSTRAP="git://git.sarava.org/puppet-bootstrap.git"
+
+# Syntax check
+if [ -z "$PROJECT" ]; then
+ echo "usage: $BASENAME <path> [url]"
+ exit 1
+fi
+
+# Clone or initialize
+if [ ! -z "$REPO" ]; then
+ git clone $URL $CODE/$PROJECT
+else
+ echo "Initializing $PROJECT..."
+ mkdir -p $CODE/$PROJECT
+ touch .gitignore
+ git init
+ git add .
+fi
+
+# Vagrant integration
+(
+ cd $CODE/$PROJECT
+ git branch dev
+ git checkout dev
+ echo '.vagrant' >> .gitignore
+
+ # Use the best approach
+ #git clone $BOOSTRAP $CODE/$PROJECT/puppet
+ #git submodule add $BOOSTRAP puppet
+ git subtree add --prefix puppet $BOOTSTRAP master --squash
+)
+
+# Teardown
+echo "Please review and commit your new project :)"